#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXWORD 50 /* massima lunghezza di una parola */
#define N 300 /* numero massimo di parole */

/* funzioni di utilita' */
void exit_too_many_words() {
  printf("ERROR: Numero massimo di parole (%d) superato!\n", N);
  exit(1);
}

void exit_calloc_failed() {
  printf("ERROR: Calloc fallita!\n");
  exit(1);
}

void exit_word_too_long() {
  printf("ERROR: Lunghezza massima parola (%d) superata!\n", MAXWORD);
  exit(1);
}

void write_words(char *w[], int n) {
  int i;

  for (i=0; i<n; ++i)
    printf("%s\n", w[i]);
}

void swap(char **p, char **q) {
  char *t = *p;
  *p = *q;
  *q = t;
}

void sort_words(char *w[], int n) {
  int i,j;
  
  for (i=0; i<n; i++)
    for (j=i+1; j<n; j++)
      if (strcmp(w[i], w[j]) > 0)
	swap(&w[i], &w[j]);
}

/* MAIN */
   
int main() {
  
  char word[MAXWORD]; /* parola corrente */
  char *w[N]; /* array di stringhe */
  
  int n,i;

  for (i=0; scanf("%s",word)==1; ++i) {
    
    if (i>=N)
      exit_too_many_words();
    if (strlen(word) >= MAXWORD)
      exit_word_too_long();
    
    w[i] = calloc(strlen(word)+1, sizeof(char));

    if (w[i]==NULL)
      exit_calloc_failed();

    strcpy(w[i], word);
  }

  n=i;

  sort_words(w, n);
  write_words(w, n);

  return 0;
}
